Bug 301467 - Now Playing widget: content doesn't fit the widget box, play/stop buttons over text
Summary: Now Playing widget: content doesn't fit the widget box, play/stop buttons ove...
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-nowplaying (show other bugs)
Version: 4.8.80 (beta1)
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks: plasmoid-resizing
  Show dependency treegraph
 
Reported: 2012-06-08 18:50 UTC by Janek Bevendorff
Modified: 2012-06-13 21:49 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9


Attachments
Screenshot (47.50 KB, image/png)
2012-06-08 18:50 UTC, Janek Bevendorff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Janek Bevendorff 2012-06-08 18:50:15 UTC
When the Now Playing widget is resized to its minimal size, the play buttons which appear on mouseover don't fit in the box and are partially shown outside the widget.
They also cover the text on the widget, which looks quite ugly.



Reproducible: Always

Steps to Reproduce:
1. Add the NowPlaying widget to your desktop
2. Resize the widget to the minimal size
3. Hover above  with the mouse
Actual Results:  
The buttons are partially shown outside the widget and overlay the text (see attached sceen shot)

Expected Results:  
The widget should have a larger minimal size which assures that the buttons are always inside the widget and don't cover any text.
Comment 1 Janek Bevendorff 2012-06-08 18:50:41 UTC
Created attachment 71673 [details]
Screenshot
Comment 2 Alex Merry 2012-06-11 10:42:21 UTC
Git commit 1fdca98b83c465bf0cd63974553a8365fa7f67a9 by Alex Merry.
Committed on 11/06/2012 at 12:40.
Pushed by alexmerry into branch 'master'.

mpris2-dataengine: fake a CanStop capability

This allows the stop button to be greyed out when there is nothing to be
stopped, making the user experience slightly less confusing.

M  +10   -0    plasma/generic/dataengines/mpris2/playercontainer.cpp
M  +4    -1    plasma/generic/dataengines/mpris2/playercontainer.h
M  +1    -1    plasma/generic/dataengines/mpris2/playercontrol.cpp

http://commits.kde.org/kde-workspace/1fdca98b83c465bf0cd63974553a8365fa7f67a9
Comment 3 Alex Merry 2012-06-11 10:42:59 UTC
Sorry, I CC'd the wrong bug.
Comment 4 Alex Merry 2012-06-11 11:01:34 UTC
Git commit 7326e901c8f74f67d6f1c7df8d278028a999c7b9 by Alex Merry.
Committed on 11/06/2012 at 12:59.
Pushed by alexmerry into branch 'master'.

nowplaying: prevent the controls from leaving the widget

The minimum width was previously such that the controls could extend
outside the right edge of the widget.

M  +1    -1    applets/nowplaying/package/contents/ui/FullLayout.qml

http://commits.kde.org/kdeplasma-addons/7326e901c8f74f67d6f1c7df8d278028a999c7b9
Comment 5 Alex Merry 2012-06-11 11:07:24 UTC
Allowing the controls to cover the text was a deliberate decision, as it allows users to avoid wasting space on controls that are not needed and not visible most of the time.  They should perhaps have some sort of blurring effect underneath them, but I don't think that's easily acheivable with QML 1, and so will have to wait for Qt 5.